<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="MasterPages/MasterPage.master" CodeFile="AddEditContactPerson.aspx.cs" Inherits="AddEditContactPerson" Culture="auto" meta:resourcekey="PageResource1" %>
<%@ Register Src="Controls/ErrorList.ascx" TagName="ErrorList" TagPrefix="isp" %>
<asp:Content ContentPlaceHolderID="cphMain" ID="cpMain" runat="server">
	<div>
		<table>
			<tr>
				<td class="LabelCell">
					<asp:Localize ID="locFirstName" runat="server" meta:resourcekey="locFirstName">First name</asp:Localize>
				</td>
				<td>
					<asp:TextBox ID="txtFirstName" runat="server" meta:resourcekey="txtFirstNameResource1"></asp:TextBox>
					<asp:RequiredFieldValidator ID="valRequiredFirstName" ControlToValidate="txtFirstName" ErrorMessage="Please enter a first name." runat="server" meta:resourcekey="valRequiredFirstNameResource1" />
				</td>
			</tr>
			<tr>
				<td class="LabelCell">
					<asp:Localize ID="locMiddleName" runat="server" meta:resourcekey="locMiddleName">Middle name</asp:Localize>
				</td>
				<td>
					<asp:TextBox ID="txtMiddleName" runat="server" meta:resourcekey="txtMiddleNameResource1"></asp:TextBox>
				</td>
			</tr>
			<tr>
				<td class="LabelCell">
					<asp:Localize ID="locLastName" runat="server" meta:resourcekey="locLastName">Last name</asp:Localize>
				</td>
				<td>
					<asp:TextBox ID="txtLastName" runat="server" meta:resourcekey="txtLastNameResource1"></asp:TextBox>
					<asp:RequiredFieldValidator ID="valRequiredLastName" ControlToValidate="txtLastName" ErrorMessage="Please enter a last name." runat="server" meta:resourcekey="valRequiredLastNameResource1" />
				</td>
			</tr>
			<tr>
				<td class="LabelCell">
					<asp:Localize ID="locDateOfBirth" runat="server" meta:resourcekey="locDateOfBirth">Date of birth</asp:Localize>
				</td>
				<td>
					<asp:Calendar ID="calDateOfBirth" runat="server" meta:resourcekey="calDateOfBirthResource1"></asp:Calendar>
					<asp:CustomValidator ID="valRequiredDateOfBirth" runat="server" ErrorMessage="Please select a date of birth." meta:resourcekey="valRequiredDateOfBirthResource1" />
				</td>
			</tr>
			<tr>
				<td class="LabelCell">
					Type
				</td>
				<td>
					<asp:DropDownList ID="lstType" runat="server" meta:resourcekey="lstTypeResource1" DataValueField="Value" DataTextField="Text">
					</asp:DropDownList>
				</td>
			</tr>
			<tr>
				<td class="LabelCell">
				</td>
				<td>
					<asp:Button ID="btnSave" runat="server" OnClick="btnSave_Click" Text="Save" meta:resourcekey="btnSaveResource1" />
					<asp:Button ID="btnCancel" runat="server" Text="Cancel" CausesValidation="False" OnClick="btnCancel_Click" meta:resourcekey="btnCancelResource1" />
				</td>
			</tr>
		</table>
	</div>
	<isp:ErrorList ID="ErrorList1" runat="server" />
	<asp:PlaceHolder ID="plcConcurrency" runat="server" Visible="False">
		<div class="ErrorMessage">
			An error occurred while updating this contact person. Another user has modified the record. What would you like to do?<br />
			<br />
		</div>
		<asp:Button ID="btnOverwrite" runat="server" OnClick="btnOverwrite_Click" Text="Save changes anyway" meta:resourcekey="btnOverwriteResource1" />
		<asp:Button ID="btnReload" runat="server" OnClick="btnReload_Click" Text="Reload data from database (overwrites your changes)" meta:resourcekey="btnReloadResource1" />
	</asp:PlaceHolder>
</asp:Content>
