// -----------------------------------------------------------------------
// <copyright file="ContactPersonCollection.cs" company="Imar.Spaanjaars.Com">
//   Copyright 2008 - 2009 - Imar.Spaanjaars.Com. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

using System.Collections.Generic;

namespace Spaanjaars.ContactManager.BusinessEntities
{
	/// <summary>
	/// The ContactPersonCollection class is designed to work with lists of instances of ContactPerson.
	/// </summary>
	public class ContactPersonCollection : BusinessCollectionBase<ContactPerson>
	{
		/// <summary>
		/// Initializes a new instance of the ContactPersonCollection class.
		/// </summary>
		public ContactPersonCollection()
		{
		}

		/// <summary>
		/// Initializes a new instance of the ContactPersonCollection class.
		/// </summary>
		public ContactPersonCollection(IList<ContactPerson> initialList)
			: base(initialList)
		{
		}
	}
}
