// -----------------------------------------------------------------------
// <copyright file="ContactType.cs" company="Imar.Spaanjaars.Com">
//   Copyright 2008 - 2009 - Imar.Spaanjaars.Com. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Spaanjaars.ContactManager.BusinessEntities
{
	/// <summary>
	/// Determines the type of a contact record.
	/// </summary>
	public enum ContactType
	{
		/// <summary>
		/// Indicates an unidentified value.
		/// </summary>
		None = 0,
		/// <summary>
		/// Indicates a business contact record.
		/// </summary>
		Business = 1,
		/// <summary>
		/// Indicates a personal contact record.
		/// </summary>
		Personal = 2
	}
}