// -----------------------------------------------------------------------
// <copyright file="PersonType.cs" company="Imar.Spaanjaars.Com">
//   Copyright 2008 - 2009 - Imar.Spaanjaars.Com. All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace Spaanjaars.ContactManager.BusinessEntities
{
	/// <summary>
	/// Determines the type of a contact person.
	/// </summary>
	public enum PersonType
	{
		/// <summary>
		/// Indicates an unidentified value.
		/// </summary>
		None = 0,
		/// <summary>
		/// Indicates a friend.
		/// </summary>
		Friend = 1,
		/// <summary>
		/// Indicates a family member.
		/// </summary>
		Family = 2,
		/// <summary>
		/// Indicates a co worker.
		/// </summary>
		Colleague = 3
	}
}